Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.rdbmdl
Interface TableColumn

All Superinterfaces:
  org.eclipse.emf.cdo.CDOObject, org.eclipse.emf.cdo.common.id.CDOWithID, Column, Element, org.eclipse.emf.ecore.EObject, NamedElement, org.eclipse.emf.common.notify.Notifier

    public interface TableColumn

extends Column

A representation of the model object 'Table Column'.

The following features are supported:

- `Domain`
- `Type`
- `Is Primary Key`
- `Is Foreign Key`

See Also:
  `RdbmdlPackage.getTableColumn()`

Method Summary
`it.csi.mddtools.rdbmdl.datatypes.Domain` | `getDomain()` Returns the value of the 'Domain' reference
`java.lang.Boolean` | `getIsForeignKey()` Returns the value of the 'Is Foreign Key' attribute
`java.lang.Boolean` | `getIsPrimaryKey()` Returns the value of the 'Is Primary Key' attribute
`it.csi.mddtools.rdbmdl.datatypes.PrimitiveDataType` | `getType()` Returns the value of the 'Type' containment reference
`void` | `setDomain(it.csi.mddtools.rdbmdl.datatypes.Domain value)` Sets the value of the '`Domain`' reference
`void` | `setIsForeignKey(java.lang.Boolean value)` Sets the value of the '`Is Foreign Key`' attribute
`void` | `setIsPrimaryKey(java.lang.Boolean value)` Sets the value of the '`Is Primary Key`' attribute
`void` | `setType(it.csi.mddtools.rdbmdl.datatypes.PrimitiveDataType value)` Sets the value of the '`Type`' containment reference

Methods inherited from interface it.csi.mddtools.rdbmdl.NamedElement
`getName, getUid, setName, setUid`

Methods inherited from interface it.csi.mddtools.rdbmdl.Element
`getParent, setParent`

Methods inherited from interface org.eclipse.emf.cdo.CDOObject
`cdoConflict, cdoDirectResource, cdoID, cdoInvalid, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoState, cdoView, cdoWriteLock`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDomain

    it.csi.mddtools.rdbmdl.datatypes.Domain getDomain()

  Returns the value of the 'Domain' reference.

  If the meaning of the 'Domain' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain' reference.
  See Also:
    `setDomain(Domain)`, `RdbmdlPackage.getTableColumn_Domain()`

### setDomain

    void setDomain(it.csi.mddtools.rdbmdl.datatypes.Domain value)

  Sets the value of the '`Domain`' reference.

  Parameters:
    `value` - the new value of the 'Domain' reference.
  See Also:
    `getDomain()`

### getType

    it.csi.mddtools.rdbmdl.datatypes.PrimitiveDataType getType()

  Returns the value of the 'Type' containment reference.

  If the meaning of the 'Type' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type' containment reference.
  See Also:
    `setType(PrimitiveDataType)`, `RdbmdlPackage.getTableColumn_Type()`

### setType

    void setType(it.csi.mddtools.rdbmdl.datatypes.PrimitiveDataType value)

  Sets the value of the '`Type`' containment reference.

  Parameters:
    `value` - the new value of the 'Type' containment reference.
  See Also:
    `getType()`

### getIsPrimaryKey

    java.lang.Boolean getIsPrimaryKey()

  Returns the value of the 'Is Primary Key' attribute.

  If the meaning of the 'Is Primary Key' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Is Primary Key' attribute.
  See Also:
    `setIsPrimaryKey(Boolean)`, `RdbmdlPackage.getTableColumn_IsPrimaryKey()`

### setIsPrimaryKey

    void setIsPrimaryKey(java.lang.Boolean value)

  Sets the value of the '`Is Primary Key`' attribute.

  Parameters:
    `value` - the new value of the 'Is Primary Key' attribute.
  See Also:
    `getIsPrimaryKey()`

### getIsForeignKey

    java.lang.Boolean getIsForeignKey()

  Returns the value of the 'Is Foreign Key' attribute.

  If the meaning of the 'Is Foreign Key' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Is Foreign Key' attribute.
  See Also:
    `setIsForeignKey(Boolean)`, `RdbmdlPackage.getTableColumn_IsForeignKey()`

### setIsForeignKey

    void setIsForeignKey(java.lang.Boolean value)

  Sets the value of the '`Is Foreign Key`' attribute.

  Parameters:
    `value` - the new value of the 'Is Foreign Key' attribute.
  See Also:
    `getIsForeignKey()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD